#Balloon

C
Control
R
Control

Delay
P
i

Font
P
Font

Visible
R
b

_call
M

(Message)s(Control)Control;[(Icon)Picture;(X)i(Y)i]
Info
M

(Message)s(Control)Control;[(X)i(Y)i]
Warning
M

(Message)s(Control)Control;[(X)i(Y)i]
Error
M

(Message)s(Control)Control;[(X)i(Y)i]
Question
M

(Message)s(Control)Control;[(X)i(Y)i]
Delete
M

(Message)s(Control)Control;[(X)i(Y)i]
Hide
M

[(Control)Control;]
#ButtonBox
UserControl
C
_Properties
C
s
*,Action,Text,Alignment{Align.Normal;Left;Center;Right}=Normal,Picture,ReadOnly,Border=True,Button=True
_DefaultEvent
C
s
Click
_DefaultSize
C
s
24,4
_Similar
C
s
TextBox
:Click
:


:Change
:


:Activate
:


Picture
p
Picture

Text
p
s

Pos
p
i

Length
r
i

ReadOnly
p
b

Border
p
b

Editor
r
MaskBox

Button
p
b

Alignment
p
i

_new
m


Button_Click
m


Background_GotFocus
m


Clear
m


Background_Arrange
m


Background_Draw
m


TextBox_GotFocus
m


TextBox_LostFocus
m


TextBox_Activate
m


TextBox_Change
m


_AddButton
m

(hButton)ToolButton;
#ColorButton
UserControl
C
:Change
:


Color
p
i

Value
p
i

_Properties
C
s
*,Value{Color}
_DefaultEvent
C
s
Change
_DefaultSize
C
s
8,4
_new
m


Button_Click
m


Button_Resize
m


#ColorChooser
UserControl
C
:Change
:


:Activate
:


_Properties
C
s
*,Border=True,ShowAlpha,ShowColorMap=True
_DefaultEvent
C
s
Change
_DefaultSize
C
s
36,36
_Group
C
s
Chooser
SelectedColor
p
i

Value
p
i

ShowAlpha
p
b

ShowColorMap
p
b

Border
p
b

_new
m


_RaiseChange
m


_RaiseActivate
m


#DateBox
UserControl
C
_Properties
C
s
*,Action,Value,ReadOnly,Border=True,Mode{DateChooser.*}=DateOnly
_DefaultSize
C
s
24,4
_Similar
C
s
TextBox
:Activate
:


:Click
:


:Change
:


Value
p
d

ReadOnly
p
b

Border
p
b

Mode
p
i

_new
m


ButtonBox_Click
m


ButtonBox_KeyPress
m


ButtonBox_Activate
m


ButtonBox_Change
m


PopupWindow_Open
m


DateChooser_Activate
m


DateChooser_Cancel
m


#DateChooser
UserControl
C
Value
p
d

Year
p
i

Month
p
i

Day
p
i

Font
p
Font

Colors
r
_DateChooser_Colors

Mode
p
i

Data
r
_DateChooser_Data

Border
p
b

DateOnly
C
i
0
DateTime
C
i
1
TimeOnly
C
i
2
:Change
:


:Activate
:


:Cancel
:


:Data
:

(Date)d
_Properties
C
s
*,Border=True,Mode{DateChooser.*}=DateOnly
_DefaultEvent
C
s
Change
_DefaultSize
C
s
40,28
_Group
C
s
Chooser
_new
m


_Change
m


_Activate
m


_Cancel
m


SetFocus
m


_get
m
_DateChooser_Date
(Date)d
_GetData
m
_DateChooser_Data
(dDate)d[(bCreate)b]
#DirChooser
UserControl
C
_Properties
C
s
*,Border=True,Root,Picture,ShowHidden,ShowFile,ShowDetailed,ShowPreview,ShowBookmark=True,ShowSplitter=True
_DefaultEvent
C
s
Change
_DefaultSize
C
s
36,36
_Group
C
s
Chooser
Root
p
s

Picture
p
Picture

SelectedPath
p
s

Value
p
s

ShowFile
p
b

ShowHidden
p
b

ShowDetailed
p
b

ShowBookmark
p
b

ShowSplitter
p
b

ShowPreview
p
b

Bookmarks
p
Array

Icon
p
Picture

Settings
p
Variant[]

DirView
r
DirView

FileView
r
FileView

Border
p
b

:Change
:


:Activate
:


:Icon
:

(Path)s
_new
m


frmChooser_Open
m


frmChooser_Change
m


frmChooser_Select
m


frmChooser_GetIcon
m

(Path)s
Reload
m


#DirView
UserControl
C
_Properties
C
s
*,Border=True,Root,Picture,ShowHidden
_DefaultEvent
C
s
Click
_Group
C
s
View
:Select
:


:Click
:


:Activate
:


:Menu
:


:Icon
:

(Path)s
Root
p
s

Current
p
s

ShowHidden
p
b

Picture
p
Picture

Border
p
b

Icon
p
Picture

Renaming
r
b

Settings
p
Variant[]

_new
m


TreeView_Expand
m


TreeView_Collapse
m


TreeView_Select
m


TimerExpand_Timer
m


TreeView_Activate
m


TreeView_Click
m


TreeView_Menu
m


TreeView_Rename
m


TreeView_Cancel
m


NewFolder
m


Rename
m


Reload
m


#Expander
UserContainer
C
_Properties
C
s
*,Text,TextFont,Animated,Hidden
_DefaultEvent
C
s
Show
_Similar
C
s
Panel
:Show
:


:Hide
:


Hidden
p
b

Text
p
s

TextFont
p
Font

Animated
p
b

_new
m


_Show
m


_Hide
m


#FileChooser
UserControl
C
_Properties
C
s
*,Border=True,Root,Picture,Multi,Filter,ShowHidden,ShowDirectory,ShowDetailed,ShowPreview,ShowBookmark=True,ShowFile=True,ShowButton,Margin,ReadOnly
_DefaultEvent
C
s
Change
_DefaultSize
C
s
36,36
_Group
C
s
Chooser
Root
p
s

Picture
p
Picture

Dir
p
s

SelectedPath
p
s

SelectedPaths
r
String[]

Value
p
v

Multi
p
b

ShowDirectory
p
b

ShowHidden
p
b

ShowDetailed
p
b

ShowBookmark
p
b

ShowFile
p
b

ShowPreview
p
b

Bookmarks
p
Array

Settings
p
Variant[]

DirView
r
DirView

FileView
r
FileView

ShowButton
p
b

Extension
r
Container

Border
p
b

Margin
p
b

ReadOnly
p
b

Filter
p
String[]

FilterIndex
p
i

Icon
p
Picture

:Change
:


:Activate
:


:Icon
:

(Path)s
:Cancel
:


_new
m


frmChooser_Open
m


frmChooser_Change
m


frmChooser_Select
m


frmChooser_GetIcon
m

(Path)s
Reload
m


frmChooser_Cancel
m


SetFocus
m


#FileProperties
UserControl
C
_Properties
C
s
*,Border=True
_DefaultSize
C
s
36,36
_Group
C
s
View
:Data
:


Path
p
s

Border
p
b

Data
r
_FilePropertiesData

_new
m


frmChooser_Open
m


Add
m

(Panel)Control;(Title)s
_RaiseData
m
_FilePropertiesData

#FileView
UserControl
C
_Properties
C
s
*,Border=True,Mode{Select.*}=Single,Dir,ShowDetailed,ShowHidden,ShowDirectory,ShowPreview
_DefaultEvent
C
s
Click
_Group
C
s
View
:Select
:


:Click
:


:Activate
:


:Menu
:


:Icon
:

(Path)s
Dir
p
s

ShowHidden
p
b

ShowDirectory
p
b

Current
p
s

Mode
p
i

ShowDetailed
p
b

ShowPreview
p
b

Selection
r
String[]

Filter
p
String[]

Icon
p
Picture

IconSize
p
i

Border
p
b

Settings
p
Variant[]

Count
r
i

Background
p
i

Foreground
p
i

_init
M


_new
m


TaskPreview_Read
m

(Data)s
TaskPreview_Kill
m


Refresh_Timer
m


Reload
m


UnselectAll
m


View_Select
m


View_Click
m


View_Activate
m


View_Menu
m


View_Compare
m

(Key)s(OtherKey)s
SelectAll
m


Rename
m


View_Rename
m


#FontChooser
UserControl
C
:Change
:


:Activate
:


_Properties
C
s
*,Border=True,FixedOnly,ShowStyle=True,ShowPreview=True,ShowLabel=True
_DefaultEvent
C
s
Change
_DefaultSize
C
s
36,36
_Group
C
s
Chooser
SelectedFont
p
s

Value
p
s

FixedOnly
p
b

ShowStyle
p
b

ShowPreview
p
b

ShowLabel
p
b

Border
p
b

_new
m


_Change
m


_Activate
m


#IconPanel
UserContainer
C
_Properties
C
s
*,Count{Range:1;256}=1,Index,Text,TextFont,Picture,Border
_Similar
C
s
TabStrip
_IsMultiContainer
C
b
-1
_DefaultEvent
C
s
Click
:Click
:


Count
p
i

Index
p
i

Text
p
s

Picture
p
Picture

Font
p
Font

TextFont
p
Font

Border
p
b

_new
m


_UpdateIconViewWidth
m


Panel_Arrange
m


_get
m
_IconPanelContainer
(Index)i
_GetView
m
GridView

_GetIndex
m
i
(hCont)_IconPanelContainer;
View_Select
m


View_MouseWheel
m


#ImageView
UserControl
C
_Properties
C
s
*,Border=True,Grid,UseMouse=True
_DefaultSize
C
s
36,36
_Group
C
s
View
_DrawWith
C
s
DrawingArea
:Draw
:

(View)Image;
Image
p
Image

:Scroll
:


Border
p
b

Zoom
p
f

Design
p
b

Grid
p
b

UseMouse
p
b

ScrollX
p
i

ScrollY
p
i

ScrollWidth
r
i

ScrollW
r
i

ScrollHeight
r
i

ScrollH
r
i

_new
m


View_Arrange
m


Scroll
m

(X)i(Y)i
ViewToImage
m
Point
(ViewPoint)Point;
ImageToView
m
Point
(ImagePoint)Point;
_Paint
m

(hImage)Image;(X)f(Y)f[(hRect)Rect;]
View_Draw
m


View_MouseDown
m


View_MouseMove
m


Update
m

[(Image)Image;]
ZoomFit
m


View_Scroll
m


EnsureVisible
m

(X)i(Y)i(W)i(H)i
#InputBox

C
_call
M
s
(Prompt)s[(Title)s(Default)s]
#LCDLabel
UserControl
C
_Properties
C
s
*,Text,Alignment{Align.Normal;Left;Center;Right}=Normal,Sheared,Padding{Range:0;63},Border,HighlightColor{Color}
_DefaultSize
C
s
24,4
_Similar
C
s
Label
Text
p
s

Alignment
p
i

Sheared
p
b

Padding
p
i

Border
p
b

HighlightColor
p
i

Value
p
f

_new
m


View_Draw
m


#ListContainer
UserContainer
C
_Properties
C
s
*,-Padding,-Spacing,-Arrangement,-AutoResize,-Indent,Border=True
_DefaultArrangement
C
s
V
_DefaultEvent
C
s
Click
:Click
:


:Activate
:


:Scroll
:


Count
r
i

Index
p
i

Current
p
Control

Background
p
i

Border
p
b

_new
m


ScrollView_NewChild
m

(Child)Control;
Child_NewChild
m

(Child)Control;
ScrollView_Scroll
m


Child_Insert
m

(Child)Control;
EnsureVisible
m


Child_MouseDown
m


Child_MouseMove
m


Child_MouseUp
m


Child_Timer
m


Child_DblClick
m


Select
m

(hChild)Control;
Clear
m


Lock
m


Unlock
m


ScrollView_KeyPress
m


#MaskBox
TextBox
C
_Properties
C
s
*,-Password,-MaxLength,Action,Mask
_Similar
C
s
TextBox
_DrawWith
C
s
TextBox
Mask
p
s

_new
m


TextBox_KeyPress
m


TextBox_GotFocus
m


TextBox_Change
m


TextBox_LostFocus
m


TextBox_Menu
m


#MenuButton
UserControl
C
_Properties
C
s
*,Action,AutoResize,Text,Picture,Arrow=True,Border=True,Menu,MenuOnly
_DefaultSize
C
s
6,4
_Similar
C
s
Button
_DefaultEvent
C
s
Click
:Click
:


Picture
p
Picture

Text
p
s

Menu
p
s

Arrow
p
b

MenuOnly
p
b

Value
p
b

AutoResize
p
b

Border
p
b

Font
p
Font

_new
m


Button_GotFocus
m


Button_Click
m


Arrow_Click
m


DrawingArea_GotFocus
m


DrawingArea_LostFocus
m


DrawingArea_Enter
m


DrawingArea_Leave
m


DrawingArea_MouseDown
m


DrawingArea_MouseUp
m


DrawingArea_MouseMove
m


DrawingArea_Draw
m


DrawingArea_KeyPress
m


DrawingArea_KeyRelease
m


#Message

C
Optional
M
i
(Message)s(Button)s(Key)s[(Icon)s(Force)b]
#SidePanel
UserContainer
C
_Properties
C
s
*,Action,Orientation{Align.Top;Bottom;Left;Right}=Top,Resizable=True,Border,Separator,Transparent,Hidden
_Similar
C
s
Panel
:Show
:


:Hide
:


:Resize
:


Orientation
p
i

Border
p
b

Separator
p
b

Hidden
p
b

Resizable
p
b

Dimension
p
i

Tooltip
p
s

Value
p
b

Action
p
s

Design
p
b

Settings
p
Variant[]

Transparent
p
b

_new
m


_Show
m


_Hide
m


_Resize
m


#SliderBox
UserControl
C
_Properties
C
s
*,MinValue=0,MaxValue=100,Step=1,DefaultValue,Value
_DefaultEvent
C
s
Change
_DefaultSize
C
s
32,4
:Change
:


Value
p
i

MinValue
p
i

MaxValue
p
i

Step
p
i

DefaultValue
p
i

Font
p
Font

_new
m


Slider_Change
m


SpinBox_Change
m


SpinBox_MouseWheel
m


Slider_DblClick
m


#Stock

C
Debug
P
b

List
R
String[]

Themes
R
String[]

Icons
R
String[]

GetSize
M
i
(Size)s
_get
M
Picture
(Key)s[(Default)s]
Refresh
M


#TabPanel
UserContainer
C
_Properties
C
s
*,Border=True,Count{Range:1;256}=1,Index,Text,TextFont,Picture,Orientation{Align.Top;Bottom}=Top,Closable,Highlight
_Similar
C
s
TabStrip
_IsMultiContainer
C
b
-1
_DefaultEvent
C
s
Click
:Click
:


:Close
:

(Index)i
Index
p
i

Count
p
i

Text
p
s

Picture
p
Picture

Font
p
Font

TextFont
p
Font

Border
p
b

Orientation
p
i

Highlight
p
b

Closable
p
b

Current
r
_TabPanelContainer

_new
m


_EnsureCurrentVisible
m


EnsureCurrentVisible_Timer
m


TabBar_Arrange
m


Remove
m

(Index)i
_get
m
_TabPanelContainer
(Index)i
Panel_Arrange
m


_GetIndex
m
i
(hCont)Control;
_GetButton
m
_TabPanelButton
(iIndex)i
TabBarContainer_Draw
m


TabBar_Draw
m


_GetBackground
m
i

TabBar_MouseDown
m


TabBar_DblClick
m


Panel_Draw
m


_SetVisible
m

(Index)i(bVisible)b
_MoveNext
m


_MovePrevious
m


_IsVisible
m
b
(Index)i
_GetFirstIndex
m
i

_Close
m

(Index)i
TabBarContainer_KeyPress
m


#TableView
GridView
C
_Properties
C
s
*,NoKeyboard
_Group
C
s
View
_Similar
C
s
GridView
:Save
:

(Row)i(Column)i(Value)s
:Insert
:


:Click
:


Editor
r
Control

NoKeyboard
p
b

_new
m


Save
m
b

Cancel
m


GridView_MouseDown
m


GridView_RowResize
m

(Row)i
GridView_ColumnResize
m

(Column)i
GridView_Scroll
m


GridView_Resize
m


GridView_Hide
m


GridView_Change
m


Edit
m

[(List)String[];(ReadOnly)b]
EditWith
m

(Editor)Control;
Editor_Activate
m


Editor_Click
m


Editor_KeyPress
m


Timer_Timer
m


#ToolPanel
UserContainer
C
_Properties
C
s
*,Count{Range:1;256}=1,Index,Text,TextFont,Picture,Animated,Border
_Similar
C
s
TabStrip
_IsMultiContainer
C
b
-1
:Click
:


Count
p
i

Index
p
i

Text
p
s

Picture
p
Picture

Animated
p
b

Font
p
Font

TextFont
p
Font

Border
p
b

_new
m


ToolPanelContainer_Change
m


ToolPanel_Resize
m


_get
m
ToolPanelContainer
(Index)i
#ValueBox
UserControl
C
_Properties
C
s
*,Action,Text,Type{ValueBox.*}=Number,Value,ReadOnly,Border=True
_DefaultSize
C
s
24,4
_Similar
C
s
TextBox
Type
p
i

Value
p
v

Border
p
b

ReadOnly
p
b

Text
p
s

Number
C
i
0
Date
C
i
1
Time
C
i
2
Currency
C
i
3
DateTime
C
i
4
IPAddress
C
i
5
_new
m


NumberBox_KeyPress
m


NumberBox_Change
m


#Wizard
UserContainer
C
_Properties
C
s
*,Count{Range:1;256}=1,Index,Text,TextFont,Picture,ShowTitle=True,ShowIndex=False,Border=True
_DefaultEvent
C
s
Change
_Similar
C
s
TabStrip
_IsMultiContainer
C
b
-1
:BeforeChange
:


:Change
:


:Cancel
:


:Click
:


:Close
:


Count
p
i

Index
p
i

LastIndex
r
i

Text
p
s

Picture
p
Picture

ShowTitle
p
b

ShowIndex
p
b

Border
p
b

TextFont
p
Font

_new
m


WizardContainer__Refresh
m


_get
m
_WizardContainer
(Index)i
Wizard_Previous
m


Wizard_Next
m


Wizard_Cancel
m


#_DateChooser_Colors

CA
_Calendar
v
FCalendar

Clear
m


_put
m

(Color)i(Date)d
_get
m
i
(Date)d
#_DateChooser_Data

C
Foreground
v
i

Background
v
i

Text
v
s

Font
p
Font

#_DateChooser_Date

C
Background
p
i

Foreground
p
i

Text
p
s

Font
p
Font

_Date
v
d

_View
v
DateChooser

#_FilePropertiesData

C
Type
v
s

Icon
v
Picture

#_IconPanelContainer
UserControl
C
Text
p
s

Picture
p
Picture

Container
r
Container

_new
m


#_TabPanelContainer
UserControl
C
Text
p
s

Picture
p
Picture

Visible
p
b

_new
m


_Delete
m


Delete
m


#_WizardContainer
UserControl
C
:_Refresh
:


Text
p
s

Picture
p
Picture

Container
r
Container

_new
m


